Description

es:

gvSIG 2 al no contar con la herremienta importar campos tiene problemas para vincular tablas grandes (puede que el problema sea
otro). Una prueba capa de 17000 punto con sus 17000 resultados, podia ser manejarlo perfectamente en gvSIG 1.12 pero al unir
campos en gvSIG 2.2 se vuelve lento al extremo, e incluso se paraliza, la dibujar la capa resultaonte. Una dificultad adicional es que
no permitiria agregar informacién a una capa existente, en su lugar se debe crear una capa nueva y reemplazar la original.

Una prube mas humile con 53 puntos en la capa y 1700 valores en la tabla, permite trabajar aunque evidencia una lentitud
significativa.

en:

gvSIG 2 lacking of import field tool shows problems unionin large tables. One test is to union a 17000 points table to a 17000 values
table. This used to be manageable by gvSIG 1.12 import field, but at union fields at gvSIG 2.2 it becomes extrimelly slow, even
frozen, as much at drawing the result layer as showing its attributte table. One extra trick is that do not allows to add information to an
existing shapefile, instead a new shape needs to be generated to then replace the firstone.

A more humble test usin 53 poist shape an 17000, allows to work but shows a significant slowing down.

History

#1 - 10/23/2015 12:12 PM - Alvaro Anguix
- Category set to Document table

#2 - 03/04/2020 12:01 PM - Alvaro Anguix

Nota: en las Ultimas versiones ya cuenta con un plugin para importar campos.

#3 - 04/30/2020 06:41 PM - Alvaro Anguix
- Status changed from New to Closed

He probado una unién (build 3021) con dos tablas de aproximadamente 150.000 registros y me ha ido muy répido.
Por otro lado en la 2.5.1 hay un importador de campos.
